Subject: bug#42927: Weird error on guix download ftp://sourceware.org/pub/lvm2/LVM2.2.03.10.tgz

From: Ludovic Courtès <[email-masked]>
Date: Fri, 28 Aug 2020 15:14:10 +0200

Hi,

Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
skribis:

> FWIW FTP WFM:
>
> ~/guix master λ guix download
> ftp://sourceware.org/pub/lvm2/LVM2.2.03.10.tgz
>
> Starting download of /tmp/guix-file.J33OOi
> From ftp://sourceware.org/pub/lvm2/LVM2.2.03.10.tgz...
> LVM2.2.03.10.tgz  2.4MiB 1.2MiB/s 00:02 [##################] 100.0%
> /gnu/store/r9g36syz9yhgyx5mjnq6xvdhmfxg8aw4-LVM2.2.03.10.tgz
> 1l0fkn9abrgk5mfn6jfh9qhdr86b59l1c5pk6lp8jh0491d69las

I get ETIMEDOUT:

--8<---------------cut here---------------start------------->8---
fstat(16, {st_mode=S_IFSOCK|0777, st_size=0, ...}) = 0
read(16, "220 Welcome to sourceware FTP se"..., 4096) = 40
write(16, "USER anonymous\r\n", 16)     = 16
read(16, "331 Please specify the password."..., 4096) = 34
write(16, "PASS [email-masked]\r\n", 23) = 23
read(16, "230 Login successful.\r\n", 4096) = 23
write(16, "TYPE I\r\n", 8)              = 8
read(16, "200 Switching to Binary mode.\r\n", 4096) = 31
write(16, "SIZE /pub/lvm2/LVM2.2.03.10.tgz\r"..., 33) = 33
read(16, "213 2510568\r\n", 4096)       = 13
write(16, "CWD /\r\n", 7)               = 7
read(16, "250 Directory successfully chang"..., 4096) = 37
write(16, "CWD pub\r\n", 9)             = 9
read(16, "250 Directory successfully chang"..., 4096) = 37
write(16, "CWD lvm2\r\n", 10)           = 10
read(16, "250 Directory successfully chang"..., 4096) = 37
write(16, "TYPE I\r\n", 8)              = 8
read(16, "200 Switching to Binary mode.\r\n", 4096) = 31
write(16, "PASV\r\n", 6)                = 6
read(16, "227 Entering Passive Mode (0,0,0"..., 4096) = 46
socket(AF_INET6, SOCK_STREAM, IPPROTO_TCP) = 17
fcntl(17, F_GETFL)                      = 0x2 (flags O_RDWR)
fcntl(17, F_SETFL, O_RDWR|O_NONBLOCK)   = 0
connect(17, {sa_family=AF_INET6, sin6_port=htons(49263), sin6_flowinfo=htonl(0), inet_pton(AF_INET6, "2620:52:3:1:0:246e:9693:128c", &sin6_addr), sin6_scope_id=0}, 28) = -1 EINPROGRESS (Operacio nun fariĝas)
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
select(18, [3], [17], [17], {tv_sec=10, tv_usec=0}) = 0 (Timeout)
write(2, "In procedure connect*: Konekto t"..., 52In procedure connect*: Konekto transpasis limtempon
) = 52
--8<---------------cut here---------------end--------------->8---

Could it be that ‘ftp-pasv’ is not connecting to the right address, or
some IPv6 issue somewhere on the way?

> Danny Milosavljevic 写道：
>> I get the following weird error on
>
> Does ‘Permission denied’ coming from getsockopt look odd to anyone
> else?  I'm not a network person, but it does not sound like an error
> coming from the network.

Yes, that one looks very weird.  Danny?

Ludo’.